class NumSeq
	def self.minimal_index(seq_a, seq_b)
		if seq_a.min_index < seq_b.min_index then
			seq_a.min_index
		else	
			seq_b.min_index
		end
	end
	private_class_method :minimal_index
	
	def self.maximal_index(seq_a, seq_b)
		if seq_a.max_index > seq_b.max_index then
			seq_a.max_index
		else	
			seq_b.max_index
		end
	end
	private_class_method :maximal_index

	def self.operate(elem_a, elem_b, op)
		if nil != elem_a and nil != elem_b then
			elem_a.send(op, elem_b)
		elsif nil != elem_a then
			elem_a
		elsif nil != elem_b then
			elem_b
		else
			nil
		end		
	end
	private_class_method :operate
end
